Integration Tests For NFD (nfd-integration-tests)
=================================================

This is a Python based unit test repository which is designed for end-to-end
integration testing of NDN Forwarding Daemon, NFD.

## Prerequisites ##

1. Python must be installed  (2.7 <= version < 3)

-----------------------------------------------------

## Setup Instructions: ##

To install NDN applications used for the tests

    USAGE:
      ./install_apps.py [OPTIONS]

      Install NDN applications
      Latest source codes will be downloaded from their GitHub named-data repositories

    OPTIONS:
      install_ndncppdev  - install ndn-cpp-dev (https://github.com/named-data/ndn-cpp-dev)
      setup_security     - create an identity (/tmp/nfd_integration) using ndnsec
      install_NFD        - install NFD (https://github.com/named-data/NFD)
      install_ndntraffic - install ndn-traffic-generator (https://github.com/named-data/ndn-traffic-generator)
      install_ndntlvping - install ndn-tlv-ping (https://github.com/named-data/ndn-tlv-ping)
      install_all        - do all of the above
      help               - print this message and exit

## Test Run Instructions: #

To run tests

    USAGE:
      ./run_tests.py [OPTIONS]

      Run a subset of NFD integration test cases
      The test case(s) to be executed should be provided as command line option(s)

    OPTIONS:
      test_ndntlvping
      test_all           - run all the above tests
      help               - print this message and exit

